Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ImageShape.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ImageShape.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/ImageShape.Serialization.cs	(revision 4068)
@@ -1,53 +1,43 @@
 using System;
-using System.IO;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class ImageShape : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public partial class ImageShape : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected ImageShape(SerializationInfo info, StreamingContext context)
-            : base(info, context)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'ImageShape'.");
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected ImageShape(SerializationInfo info, StreamingContext context)
+      : base(info, context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'ImageShape'.");
 
-            double version = info.GetDouble("ImageShapeVersion");
-            
-            try
-            {
-                mImage = info.GetValue("Image", typeof(Image)) as Bitmap;
-                if (mImage != null)
-                {
-                    mImagePath = info.GetString("ImagePath");
-                }
+      double version = info.GetDouble("ImageShapeVersion");
 
-            }
-            catch(Exception exc)
-            {
-                Trace.WriteLine(exc.Message);
-            }
+      try {
+        mImage = info.GetValue("Image", typeof(Image)) as Bitmap;
+        if (mImage != null) {
+          mImagePath = info.GetString("ImagePath");
+        }
 
-        }
-        #endregion
+      }
+      catch (Exception exc) {
+        Trace.WriteLine(exc.Message);
+      }
 
-        #region Serialization events
-       /*
+    }
+    #endregion
+
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -63,8 +53,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]      
         void OnDeserializing(StreamingContext context)
@@ -80,71 +70,66 @@
          }
        */
-        #endregion
+    #endregion
 
-        #region Serialization
-        /// <summary>
-        /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-        /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-        public override void GetObjectData(SerializationInfo info, StreamingContext context) 
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'ImageShape'.");
-            base.GetObjectData(info, context);
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public override void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'ImageShape'.");
+      base.GetObjectData(info, context);
 
-            info.AddValue("ImageShapeVersion", imageShapeVersion);
-            info.AddValue("ImagePath", this.mImagePath);
-            info.AddValue("Image", mImage, typeof(Image));
+      info.AddValue("ImageShapeVersion", imageShapeVersion);
+      info.AddValue("ImagePath", this.mImagePath);
+      info.AddValue("Image", mImage, typeof(Image));
 
-        }
-        #endregion
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public override XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public override XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public override void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public override void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public override void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public override void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
 
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public override void  OnDeserialization(object sender)
-        {
-            base.OnDeserialization(sender);
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'ImageShape' called.");
-            
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public override void OnDeserialization(object sender) {
+      base.OnDeserialization(sender);
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'ImageShape' called.");
 
-        }
+
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/LabelMaterial.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/LabelMaterial.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/LabelMaterial.Serialization.cs	(revision 4068)
@@ -1,39 +1,32 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-using System.ComponentModel;
+using System.Diagnostics;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class LabelMaterial : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public partial class LabelMaterial : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected LabelMaterial(SerializationInfo info, StreamingContext context)
-            : base(info, context)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'LabelMaterial'.");
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected LabelMaterial(SerializationInfo info, StreamingContext context)
+      : base(info, context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'LabelMaterial'.");
 
-            double version = info.GetDouble("LabelMaterialVersion");
-            
-            mText = info.GetString("Text");
-        }
-        #endregion
+      double version = info.GetDouble("LabelMaterialVersion");
 
-        #region Serialization events
-       /*
+      mText = info.GetString("Text");
+    }
+    #endregion
+
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -49,8 +42,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]      
         void OnDeserializing(StreamingContext context)
@@ -66,63 +59,58 @@
          }
        */
-        #endregion
+    #endregion
 
-        #region Serialization
-        public override void GetObjectData(SerializationInfo info, StreamingContext context) 
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'LabelMaterial'.");
-            base.GetObjectData(info, context);
+    #region Serialization
+    public override void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'LabelMaterial'.");
+      base.GetObjectData(info, context);
 
-            info.AddValue("LabelMaterialVersion", labelMaterialVersion);
-            info.AddValue("Text", mText);
-        }
-        #endregion
+      info.AddValue("LabelMaterialVersion", labelMaterialVersion);
+      info.AddValue("Text", mText);
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public override XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public override XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public override void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public override void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public override void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public override void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
 
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public override void  OnDeserialization(object sender)
-        {
-            base.OnDeserialization(sender);
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'LabelMaterial' called.");
-            
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public override void OnDeserialization(object sender) {
+      base.OnDeserialization(sender);
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'LabelMaterial' called.");
 
-        }
+
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Layer.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Layer.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Layer.Serialization.cs	(revision 4068)
@@ -1,46 +1,39 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-using System.ComponentModel;
+using System.Diagnostics;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class Layer : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public partial class Layer : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected Layer(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'Layer'.");
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected Layer(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'Layer'.");
 
-            double version = info.GetDouble("LayerVersion");
+      double version = info.GetDouble("LayerVersion");
 
-            mEntities = info.GetValue(
-                "Entities", 
-                typeof(CollectionBase<IDiagramEntity>)) as 
-                CollectionBase<IDiagramEntity>;
+      mEntities = info.GetValue(
+          "Entities",
+          typeof(CollectionBase<IDiagramEntity>)) as
+          CollectionBase<IDiagramEntity>;
 
-            mIsVisible = info.GetBoolean("IsVisible");
+      mIsVisible = info.GetBoolean("IsVisible");
 
-            mName = info.GetString("Name");
-            
-        }
-        #endregion
+      mName = info.GetString("Name");
 
-        #region Serialization events
-       /*
+    }
+    #endregion
+
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -55,8 +48,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -66,77 +59,71 @@
         }
         */
-        [OnDeserialized]
-        void OnDeserialized(StreamingContext context)
-         {
-             Init();
-             if(Tracing.BinaryDeserializationSwitch.Enabled)
-             Trace.WriteLine("...deserialization of 'Layer' finished");
-         }
-       
-        #endregion
+    [OnDeserialized]
+    void OnDeserialized(StreamingContext context) {
+      Init();
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("...deserialization of 'Layer' finished");
+    }
 
-        #region Serialization
-        public void GetObjectData(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'Layer'.");
+    #endregion
 
-            info.AddValue("LayerVersion", layerVersion);
+    #region Serialization
+    public void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'Layer'.");
 
-            info.AddValue("Name", this.Name);
+      info.AddValue("LayerVersion", layerVersion);
 
-            info.AddValue("IsVisible", IsVisible);
+      info.AddValue("Name", this.Name);
 
-            info.AddValue(
-                "Entities", 
-                this.Entities, 
-                typeof(CollectionBase<IDiagramEntity>));
-        }
-        #endregion
+      info.AddValue("IsVisible", IsVisible);
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+      info.AddValue(
+          "Entities",
+          this.Entities,
+          typeof(CollectionBase<IDiagramEntity>));
+    }
+    #endregion
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        #region IDeserializationCallback Members
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public void OnDeserialization(object sender)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'Layer' called.");
-        }
+    #region IDeserializationCallback Members
 
-        #endregion
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public void OnDeserialization(object sender) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'Layer' called.");
     }
+
+    #endregion
+  }
 }
